Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class TransletOutputHandlerFactory

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.TransletOutputHandlerFactory

public class TransletOutputHandlerFactory
extends java.lang.Object

Field Summary
`static int` | `DOM`
`static int` | `SAX`
`static int` | `STREAM`

Constructor Summary
`TransletOutputHandlerFactory()`

Method Summary
`Node` | `getNode()`
`TransletOutputHandler` | `getOldTransletOutputHandler()`
`TransletOutputHandler` | `getTransletOutputHandler()`
`static TransletOutputHandlerFactory` | `newInstance()`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setHandler(ContentHandler handler)`
`void` | `setIndentNumber(int value)`
`void` | `setLexicalHandler(LexicalHandler lex)`
`void` | `setNode(Node node)`
`void` | `setOutputMethod(java.lang.String method)`
`void` | `setOutputStream(java.io.OutputStream ostream)`
`void` | `setOutputType(int outputType)`
`void` | `setWriter(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STREAM

    public static final int STREAM

### SAX

    public static final int SAX

### DOM

    public static final int DOM

Constructor Detail

### TransletOutputHandlerFactory

    public TransletOutputHandlerFactory()

Method Detail

### newInstance

    public static TransletOutputHandlerFactory newInstance()

### setOutputType

    public void setOutputType(int outputType)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setOutputMethod

    public void setOutputMethod(java.lang.String method)

### setOutputStream

    public void setOutputStream(java.io.OutputStream ostream)

### setWriter

    public void setWriter(java.io.Writer writer)

### setHandler

    public void setHandler(ContentHandler handler)

### setLexicalHandler

    public void setLexicalHandler(LexicalHandler lex)

### setNode

    public void setNode(Node node)

### getNode

    public Node getNode()

### setIndentNumber

    public void setIndentNumber(int value)

### getTransletOutputHandler

    public TransletOutputHandler getTransletOutputHandler()
                                                   throws java.io.IOException,
                                                          ParserConfigurationException

### getOldTransletOutputHandler

    public TransletOutputHandler getOldTransletOutputHandler()
                                                      throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.